[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/tomcat5/devel tomcat5.spec,1.97,1.98



Author: vivekl

Update of /cvs/extras/rpms/tomcat5/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv20897

Modified Files:
	tomcat5.spec 
Log Message:
- Add requires(post) on j-c-*-tomcat5 in tomcat5 package to ensure proper
  ordering at installation time
- Replace more references to ecj with eclipse-ecj




Index: tomcat5.spec
===================================================================
RCS file: /cvs/extras/rpms/tomcat5/devel/tomcat5.spec,v
retrieving revision 1.97
retrieving revision 1.98
diff -u -r1.97 -r1.98
--- tomcat5.spec	16 May 2007 10:57:12 -0000	1.97
+++ tomcat5.spec	16 May 2007 21:02:50 -0000	1.98
@@ -69,7 +69,7 @@
 Name: tomcat5
 Epoch: 0
 Version: 5.5.23
-Release: 9jpp.1%{?dist}
+Release: 9jpp.2%{?dist}
 Summary: Apache Servlet/JSP Engine, RI for Servlet 2.4/JSP 2.0 API
 
 Group: Networking/Daemons
@@ -161,6 +161,9 @@
 Requires(post):         jpackage-utils >= 0:1.6.0
 Requires(post):         /bin/rm
 Requires(post):         /sbin/chkconfig
+Requires(post):         jakarta-commons-dbcp-tomcat5
+Requires(post):         jakarta-commons-collections-tomcat5
+Requires(post):         jakarta-commons-pool-tomcat5
 Requires(post):         findutils
 Requires(preun):        /bin/rm
 Requires(post):         /sbin/chkconfig
@@ -181,6 +184,9 @@
 # And it needs its own API subpackages for running
 Requires: %{name}-common-lib = %{epoch}:%{version}-%{release}
 Requires: %{name}-server-lib = %{epoch}:%{version}-%{release}
+# And it needs its own API subpackages before being installed
+Requires(post): %{name}-common-lib = %{epoch}:%{version}-%{release}
+Requires(post): %{name}-server-lib = %{epoch}:%{version}-%{release}
 
 %description
 Tomcat is the servlet container that is used in the official Reference
@@ -881,7 +887,7 @@
     %{name}/naming-factory %{name}/naming-resources servlet \
     %{jname}5-compiler %{jname}5-runtime 2>&1
 %if %{with_ecj}
-    build-jar-repository %{commondir}/lib ecj 2>&1
+    build-jar-repository %{commondir}/lib eclipse-ecj 2>&1
 %endif
 build-jar-repository %{serverdir}/lib catalina-ant5 commons-modeler \
     %{name}/catalina-ant-jmx %{name}/catalina-cluster %{name}/catalina \
@@ -1225,6 +1231,11 @@
 %ghost %doc %{_javadocdir}/%{name}-jsp-%{jspspec}-api
 
 %changelog
+* Wed May 16 2007 Vivek Lakshmanan <vivekl at redhat.com> 0:5.5.23-9jpp.2
+- Add requires(post) on j-c-*-tomcat5 in tomcat5 package to ensure proper
+  ordering at installation time
+- Replace more references to ecj with eclipse-ecj
+
 * Tue May 15 2007 Vivek Lakshmanan <vivekl at redhat.com> 0:5.5.23-9jpp.1
 - Resolve: bug 240242
 - Import and merge 0:5.5.23-9jpp from JPP


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]